Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.ede.impl
Class ActiveAdapter

    java.lang.Object
      |
      +--com.bea.wlevs.ede.impl.EventSenderImpl
            |
            +--com.bea.wlevs.ede.impl.AbstractAdapter
                  |
                  +--com.bea.wlevs.ede.impl.ActiveAdapter

public class ActiveAdapter
extends AbstractAdapter
implements Runnable, ResourceManagerAware

An ActiveAdapter is an abstract adapter class that should be extended by adapter implementations that are active, that is, need to be executed in the context of thread. Subclasses are responsible for calling activate() in order to start running.

Constructor Summary
`protected` | `ActiveAdapter()`
`` | `ActiveAdapter(Runnable adapter)`

Method Summary
`void` | `afterConfigurationActive()`
`Object` | `invoke(MethodInvocation methodInvocation)`
`void` | `onEvent(List newEvents)`
`void` | `run()`
`void` | `setResourceManager(com.bea.wlevs.ede.ResourceManager resourceManager)`
`void` | `validate()`

Methods inherited from class com.bea.wlevs.ede.impl.AbstractAdapter
`getApplicationId, getId, getWorkManager, setApplicationIdentity, setEventSender, setStageIdentity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveAdapter

    public ActiveAdapter(Runnable adapter)

### ActiveAdapter

    protected ActiveAdapter()

Method Detail

### run

    public void run()

  Specified by:
    run in interface Runnable

### setResourceManager

    public void setResourceManager(com.bea.wlevs.ede.ResourceManager resourceManager)

  Specified by:
    setResourceManager in interface ResourceManagerAware

### onEvent

    public void onEvent(List newEvents)
                 throws EventRejectedException

### invoke

    public Object invoke(MethodInvocation methodInvocation)
                  throws Throwable

### validate

    public void validate()

### afterConfigurationActive

    public void afterConfigurationActive()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD